$poor: #ef3c68 !default;
$baverage: #ef743c !default;
$neat: #c18c21 !default;
$average: #9ebb36 !default;
$good: #56b437 !default;
$great: #11aa30 !default;
$amazing: #0a9447 !default;
$legendary: #026bfa !default;
$unicorn: #fe4eda !default;

$recommendation-colors: poor $poor, baverage $baverage, neat $neat, average $average, good $good, great $great, amazing $amazing, legendary $legendary, unicorn $unicorn;

.influencer-recommendations {
  opacity: 0;
  transition: opacity 2s;

  .ant-carousel {
    .slick-dots {
      display: none !important;
    }
  }
  .skip {
  }
  .add {
  }

  &.loading {
    opacity: 0;
    transition: opacity 2s;

    h2 {
      text-align: center;
      margin-top: 30px;
      color: #aaa;
      font-size: 20px;
    }
    .ant-spin {
      margin: 0 auto;
      display: block;
      width: 50px;
      height: 50px;
      margin-top: 20%;

      .ant-spin-dot {
        width: 30px;
        height: 30px;
        margin-top: 11px;
        margin-left: -1px;
      }
    }
  }
}

.keyboard-group {
  width: 400px;
  display: flex;

  .arrows {
    width: 90px;
    flex: 0 0 90px;
  }

  .anticon {
    width: 20px;
    height: 20px;
    margin: 1px;
  }

  .info {
    h4 {
      margin-bottom: 0;
    }

    p {
      margin-bottom: 0;
    }
  }

  & + .keyboard-group {
    margin-top: 15px;
    padding-top: 15px;
    border-top: 1px solid #e5eaf1;
  }
}

.tip-box {
  background: #eef6ff;
  display: block;
  border-radius: 4px;
  border: 1px solid #0078ff;
  font-size: 14px;
  padding: 10px 15px;
  color: #1772d8;
  font-weight: 600;
}

.bottom-right-btns {
  position: absolute;
  right: 30px;

  .open-guide {
    font-weight: bold;
  }
}

.keyboard-popover {
  padding: 0 15px !important;
}

.influencers-added {
  span.ant-avatar {
    transition: opacity 1s;
  }
}

.horizontal-text-form {
  .custom-select {
    width: auto;
    min-width: 200px;
  }

  .ant-row {
    border-bottom: 1px solid #ebebeb;
    padding-bottom: 20px;
    margin-bottom: 20px;
  }
}

.influencer-filter-form {
  p.caption {
    margin: 0;
    font-size: 20px;
  }

  .ant-form-item-label {
    text-align: left;
    text-transform: inherit;

    label {
      font-size: 20px;
      margin-bottom: 0;
      font-weight: normal;
      text-transform: none;

      &:before,
      &:after {
        content: none;
      }
    }
  }

  .ant-row {
    display: flex;
    align-items: center;
  }

  .ant-slider-handle {
    z-index: 9;
  }

  .ant-form-item-control {
    position: relative;

    .ant-form-explain {
      position: absolute;
    }

    &.has-error {
      color: #f5222d;

      .ant-select {
        border-color: #f5222d;
      }
    }
  }
}

.filter-drawer {
  .ant-drawer-body {
    padding: 0 0 200px;
  }
}

.recommendation-sweet-spot {
  #step-success {
    opacity: 0;
    position: absolute;
    transition: opacity 0.3s ease-in-out;
  }

  .step-reached-sweet-spot {
    color: #11aa54;
  }
}

.collabspin-center {
  margin: 20% auto;
  display: block;
}

@each $color in $recommendation-colors {
  .recommendation-color-#{nth($color, 1)} {
    color: nth($color, 2) !important;
  }
}

.comment-likes-overlay {
  position: absolute;
  background: rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: 600;
  opacity: 0;
  transition: 0.2s ease-out;
}

.post-item {
  &:hover {
    .comment-likes-overlay {
      opacity: 1;
    }
  }
}

.post-img-container {
  display: block;
  width: 100%;
  padding-bottom: 100%;
  overflow: hidden;
  position: relative;
  margin: 15px 0;

  img {
    margin: 0;
    object-fit: cover;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
}

#step-status {
  font-size: 13px;
}

.ant-select-dropdown-menu-item-group-title {
  font-size: 14px !important;
  text-transform: uppercase;
  font-weight: bold;
  height: 50px;
  line-height: 50px;
  padding-left: 15px !important;
}

.influencer-filters-recommendation-campaign-organization-views {
  .ant-drawer-body .ant-collapse-naked .ant-collapse-item .ant-collapse-header {
    display: flex !important;
    position: initial !important;
    flex-direction: row-reverse;
    justify-content: space-between;
  }

  .ant-collapse > .ant-collapse-item > .ant-collapse-header .ant-collapse-arrow {
    position: initial !important;
    margin-top: 5px;
  }
}
